<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
        <title>Search Book</title>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
        <style type="text/css">
            body{
            /*margin-left: 50px;*/
            background: linear-gradient(132deg, #3bdcf1, #8ddec3, #c7dab1, #1C84D0, #e7dbd8, #2288AA,#2A2FE0);
            background-size: 400% 400%;
            animation: BackgroundGradient 40s ease infinite;
        }
        @keyframes BackgroundGradient {
            0% {background-position: 0% 50%;}
            50% {background-position: 100% 50%;}
            100% {background-position: 0% 50%;}
        }
        </style>
    </head>
    <body>
        <div class="container">
            <div class="row"><div class="text-center"><br>
                <h1>List Favorite Book</h1>
                <div class="col-md-12">
                    <table id = "result" class="table table-stripped">
                        <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Book</th>
                                <th scope="col">Title</th>
                                <th scope="col">Author</th>
                            </tr>
                        </thead>
                        <tbody>
                            {%for item in data%}
                            <tr>
                                <th>{{forloop.counter}}</th>
                                <td><a target="_blank" href="{{item.link}}"><img src="{{item.img}}" title="{{item.title}}"></a></td>
                                <td>{{item.title}}</td>
                                <td>{{item.author}}</td>
                            </tr>
                            {%endfor%}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
    </body>
</html>
